/*
 * Author:  František Dvořák <valtri@users.sourceforge.net>
 * License: public domain
 *
 * $Id: generator.h $
 */

#ifndef GENERATOR_H_INCLUDED
#define GENERATOR_H_INCLUDED

#include <stddef.h>

/* 
 * generátor diskrétního rozdělení 
 */
double gen_dist(size_t n, double *x, double *p);

/*
 * generování intervalu náhodných čísel v rozsahu 'min' .. 'max'
 */
void random_x(double min, double max, size_t n, double *x);

/*
 * vygenerování náhodné diskrétní pravděpodobnostní funkce
 */
void random_p(size_t n, double *p);

/*
 * generování pole dat o velikosti 'out' s daným diskrétním 
 * pravděpodobnostním rozložením
 */
void random_y(size_t in, double *x, double *p, size_t out, double *y);


#endif
